LINUX.ORG.RU

Unreal Engine 4.8

 ,


1

3

Доступна новая версия игрового движка Unreal Engine 4.8. Помимо исправления большого количества ошибок, представлен внушительный список изменений:

  • Добавлена возможность установки размера видеопамяти (GPU Memory).
  • Проекты кода отныне могут быть созданы без какой-либо IDE.
  • Ошибки компилятора теперь выводятся в формате GCC, для лучшей интеграции с утилитами платформы. Формат MSVC оставлен в качестве дефолтного при кросс-компиляции.
  • Реализация поддержки нескольких контекстов OpenAL в звуковой подсистеме Linux.
  • Система вывода диалогов отныне определяет используемое DE и автоматически переключается на необходимый тулкит (GTK+ или Qt).
  • Улучшена поддержка Ubuntu 14.04, отныне не нужно самостоятельно собирать сторонние библиотеки.
  • Генератор мейкфайлов отныне создаёт цели для проекта в отдельной от движка директории.
  • Динамическая подгрузка разделяемых библиотек Steam.
  • Библиотека SDL 2 обновлена из ветки Icculus, большинство изменений, необходимых для UE 4, были приняты в апстрим.
  • Добавлена поддержка SpeedTree.
  • Отдельные программы и утилиты (например UnrealFrontend), теперь используют OpenGL 2.1 вместо 3.2, так как он обладает лучшей поддержкой.
  • UBT теперь генерирует проекты KDevelop напрямую, однако кое-какая ручная настройка по-прежнему необходима.
  • Фоновая компиляция шейдеров теперь использует меньше ресурсов CPU.
  • Исправлены некоторые проблемы при работе с драйверами Nvidia.
  • Добавлена поддержка шлема виртуальной реальности HTC Vive и SteamVR API

>>> Подробности

Система вывода диалогов отныне определяет используемое DE и автоматически переключается на необходимый тулкит (GTK+ или Qt).

Высший пилотаж! Давно требую такого от других программ, а комментаторы пишут «твои хотелки за тебя никто не сделает».

anonymous ()

Мда, движок есть, а игр нет.

Только вчера скачал The Story of my Uncle под Windows, шикарная игра, но пришлось это делать в винде, и так 95% игр на этом движке.

anonymous ()

Система вывода диалогов отныне определяет используемое DE и автоматически переключается на необходимый тулкит (GTK+ или Qt).

И что она определит, если у меня вообще нет никакого DE?

andreyu ★★★★★ ()
Ответ на: комментарий от anonymous

Мда, движок есть, а игр нет.

1. Порог вхождения несколько выше, чем в поделие Unity 3D.
2. Наличие игры определяет не только движок, но и контент.

andreyu ★★★★★ ()
Ответ на: комментарий от andreyu

Same here. На кедах и гнуме свет клином не сошёлся.

anonymous ()
Ответ на: комментарий от andreyu

В порядке приоритета:

  • KDE, Razor, LXQt, Hawaii: Qt4 -> Qt5 -> GTK3 -> GTK2
  • остальное: GTK3 -> GTK2 -> Qt5 -> Qt4
Mixail ()
Последнее исправление: Mixail (всего исправлений: 2)
Ответ на: комментарий от GMax

Так уже достаточно много же.
Wasteland 2, brutal legend, xcom, все от валвы, ведьмак 2 (обещали и 3 год назад, но что-то пока тишина), oil rush, ss3, painkiller, metro. И еще целая куча. Не хватает только rts

sehellion ★★★★★ ()
Ответ на: комментарий от sehellion

ведьмак 2 (обещали и 3 год назад, но что-то пока тишина)

Там не тишина, а по сговору с Valve отложили до релиза стим-машин. В ноябре выйдет.

Psych218 ★★★★★ ()

Игоря не нужны. :-)

anonymous ()
Ответ на: комментарий от GMax

Ты упоролся.

Не, это ты только что из анабиоза выбрался.

WatchCat ★★★★★ ()

Хорошо, что дело не стоит на месте.

garik_keghen ★★★★★ ()
Ответ на: комментарий от GMax

Какие на Linux игры? Ты упоролся. Сколько лет уже все ждут и ничего.

То то пол каталога стима доступно под Linux. Сюрприз, школьник?

anonymous ()
Ответ на: комментарий от GMax

Чувак, ты сам походу упоролся. Слезай уже с этой дряни, какая б она небыла....

anonymous ()
Ответ на: комментарий от mos

Что ты ненужный красноглазик же.

1. Почему ненужный?
2. Почему красноглазик?
3. Почему вы решили, что ваше мнение мне интересно?

andreyu ★★★★★ ()
Ответ на: комментарий от GMax

Тундра уже есть на онтопике, хотя сам играю в картошкины танки

kas501 ★★★ ()
Ответ на: комментарий от GMax

WOT

Это танки? Я, когда впервые увидел рекламу игрухи, подумал: кто может в такое играть? Ну горстка танковых техноманьяков. Но это ж как надо было в головы насрать, чтоб такую толпу на такую безблагодатную игру подтянуть? Следуюущий шаг - World of Tractorist?

Greh ★★ ()
Ответ на: комментарий от a1batross

Вручную X11 окно создавать

Nein! X11 müssen sterben!

А если серьёзно, то нечего завязывается на иксы. Другое дело — написать свой соьственный слой абстракции над X11, Wayland, Mir, чётамещё, если ну очень сильно хочется ведосипедить (но в это время во фреймворках уже будет лучше реализовано).

KennyMinigun ★★★★★ ()

не нужно. Есть source 2 (в конце следующей недели начнется обт dota 2 reborn), скоро cs go на новый движок переведут и можно будет забыть про винду.

rampage ()
Ответ на: комментарий от Greh

Для поклонников танковых сражений же. Не нравится - не играй.

GMax ()

Система вывода диалогов отныне определяет используемое DE и автоматически переключается на необходимый тулкит (GTK+ или Qt).

Здравствуй, DOS! Я скучал.

buddhist ★★★★★ ()

Добавлена поддержка шлема виртуальной реальности HTC Vive и SteamVR API

Окулюс!

Ошибки компилятора теперь выводятся в формате GCC

тут толпа хейтеров проповедует за то, что GCC вмер и вместо него шланг рулит и педалит?

pihter ★★★★ ()
Ответ на: комментарий от anonymous

Давно требую такого от других программ

Имхо, для этого не дурно бы запилить либу и пусть все ее умеют. Ничего сложного же?

pihter ★★★★ ()
Ответ на: комментарий от GMax

Хватит насиловать труп!

Ну так слезай с него и закапывай! Анрил Энджин-то при чем?

pihter ★★★★ ()
Ответ на: комментарий от GMax

Какие на Linux игры? Ты упоролся.

А оно в 2000-м как? Путин перспективный?

pihter ★★★★ ()
Ответ на: комментарий от entefeed

основная «демка» движка, новый УТ

Кто назвал лучшую стрелялку демкой движка? Это движек — лучшая демка анрилки! // целует постер Axon'a

pihter ★★★★ ()
Ответ на: комментарий от GMax

А WOT где?

И не будет - разрабов устраивает вайн, спрашивали и не раз их, сказали нам и так хорошо (донаторов дофигища) потому 2% не нужны.
А потом вообще подобные вопросы начали вытирать с форумом тех. поддержки.

drfaust ★★★★★ ()
Ответ на: комментарий от andreyu

Почему ненужный?

В мейнстрим не попадаешь (как и все линуксоиды, коль на то пошло), стало быть — маргинал. Маргиналы не нужны меньшим маргиналам: меньшие маргиналы считают больших маргиналов упоротыми и не нужными потому что они (последние) — маргиналы

Почему вы решили, что ваше мнение мне интересно?

ну ты, это, опубликовал вызов :)

pihter ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.